(* common.mli *)

exception Command_error of string

type arg = Arg_id of Sequent.id | Arg_form of Formule.formule

type command =
	| Load of string
	| Save of string
	| Undo
	| Start of Sequent.sequent
	| Apply of State.tactic
	| Focus of int
	| Finish
	| Exit
	
val make_tac : string * arg list -> State.tactic
