(* formule.mli *)

type formule = 
	| Bottom
	| Atom of char
	| Or of formule*formule
	| And of formule*formule
	| Imply of formule*formule
	| Not of formule

val print_formule : out_channel -> formule -> unit

val latex_print_formule : out_channel -> formule -> unit
