type token =
  | INT of (int)
  | VAR of (char)
  | ID of (string)
  | FILE of (string)
  | TAC of (string)
  | EOF
  | LPAR
  | RPAR
  | QUOTE
  | COL
  | SEMI
  | END
  | SEP
  | THS
  | LOAD
  | SAVE
  | UNDO
  | EXIT
  | START
  | FOCUS
  | APPLY
  | QED
  | TRY
  | WITH
  | REPEAT
  | AND
  | OR
  | IMPLY
  | NOT

val main :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> ( Common.command * int * int )
